Package org.eclipse.emf.cdo.spi.server

# Interface InternalRepository.PostActivateable

Enclosing interface:
  InternalRepository

public static interface InternalRepository.PostActivateable
A mix-in interface for `elements` of a `repository` that need to be notified when the repository is fully activated and `sessions` can be opened.

Since:
  4.15
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`doPostActivate(InternalSession session)`
Called by a `repository` when it is fully activated.

## Method Details

### doPostActivate

void doPostActivate(InternalSession session)
Called by a `repository` when it is fully activated.

Parameters:
  `session` - a session that can be used by the implementor of this method. This session must not be closed by the implementor.